> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1businesses checkout payments 1



## OpenAPI

````yaml /api-reference/openapi.json get /v1/businesses/{businessId}/checkout-payments/{paymentId}
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/checkout-payments/{paymentId}:
    get:
      tags:
        - BusinessCheckoutPayments
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: paymentId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsDataAccessServicesBillingBillingCheckoutPaymentResponse
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsDataAccessServicesBillingBillingCheckoutPaymentResponse
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsDataAccessServicesBillingBillingCheckoutPaymentResponse
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    SmartbillsDataAccessServicesBillingBillingCheckoutPaymentResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        documentId:
          type: integer
          format: int64
        documentType:
          type: string
          nullable: true
        businessId:
          type: integer
          format: int64
        payerUserId:
          type: integer
          format: int64
          nullable: true
        payerEmail:
          type: string
          nullable: true
        payerName:
          type: string
          nullable: true
        amount:
          type: number
          format: double
        applicationFeeAmount:
          type: number
          format: double
        netAmount:
          type: number
          format: double
        currency:
          type: string
          nullable: true
        status:
          type: string
          nullable: true
        paymentIntentId:
          type: string
          nullable: true
        clientSecret:
          type: string
          nullable: true
        paymentMethodType:
          type: string
          nullable: true
        receiptUrl:
          type: string
          nullable: true
        failureCode:
          type: string
          nullable: true
        failureMessage:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
        paidAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}

````